Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# argf Struct Reference

## Data Fields
VALUE | filename
VALUE | current_file
int | last_lineno
int | lineno
int | init_p
int | next_p
VALUE | argv
char * | inplace
int | binmode
struct rb_io_enc_t | encs

## Detailed Description

Definition at line 146 of file io.c.

## Field Documentation

VALUE argf::argv

Definition at line 151 of file io.c.

Referenced by argf_init(), and argf_mark().

int argf::binmode

Definition at line 153 of file io.c.

VALUE argf::current_file

Definition at line 147 of file io.c.

Referenced by argf_init(), and argf_mark().

struct rb_io_enc_t argf::encs

Definition at line 154 of file io.c.

Referenced by argf_mark().

VALUE argf::filename

Definition at line 147 of file io.c.

Referenced by argf_init(), and argf_mark().

int argf::init_p

Definition at line 150 of file io.c.

char* argf::inplace

Definition at line 152 of file io.c.

Referenced by argf_free(), and argf_initialize_copy().

int argf::last_lineno

Definition at line 148 of file io.c.

int argf::lineno

Definition at line 149 of file io.c.

Referenced by argf_init().

int argf::next_p

Definition at line 150 of file io.c.

The documentation for this struct was generated from the following file:

- io.c